Bug 1124952 - srcpd must be ported or blacklisted for AArch64.
Summary: srcpd must be ported or blacklisted for AArch64.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: srcpd
Version: rawhide
Hardware: aarch64
OS: Linux
low
unspecified
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64 F-ExcludeArch-s390x ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2014-07-30 17:38 UTC by Carlos O'Donell
Modified: 2014-12-26 19:49 UTC (History)
1 user (show)

Fixed In Version: srcpd-2.1.2-6.el5
Doc Type: Bug Fix
Doc Text:
Clone Of: 1116162
Environment:
Last Closed: 2014-12-20 08:32:04 UTC


Attachments (Terms of Use)

Description Carlos O'Donell 2014-07-30 17:38:03 UTC
The package uses sys/io.h on an architecture that doesn't support it.

The sys/io.h header is architecture-dependent and therefore srcpd needs to be ported to AArch64 or placed on the blacklist.

Particularly the package checks for <sys/io.h> and sets HAVE_SYS_IO_H, but then doesn't use this to conditionally include or remove ioperm and ioport usage in the ddl-s88 driver.

Comment 1 Denis Fateyev 2014-08-02 21:29:32 UTC
The package initially declares supported arch list via `ExclusiveArch`:
http://pkgs.fedoraproject.org/cgit/srcpd.git/tree/srcpd.spec

# Compile errors (missing sys/io.h) on secondary architectures
ExclusiveArch: %{ix86} %{arm} x86_64

Wasn't that enough? Probably, I should do something else to add it to the blacklist?

Comment 2 Dennis Gilmore 2014-09-08 14:52:24 UTC
http://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Build_Failures shows you what you need to do when you add ExcludeArch or ExclusiveArch to packages. otherwise it should be enough, you should work with upstream and the arch teams to see about porting to the missing arches and not just ignore them. you should also file a bug and block the arch trackers.  we can use this bug for that purpose

Comment 3 Denis Fateyev 2014-12-07 17:02:18 UTC
The ddl-s88 driver is very broken for PPC. I've patched "configure" to avoid using it in such cases.

Comment 4 Fedora Update System 2014-12-07 17:05:00 UTC
srcpd-2.1.2-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/srcpd-2.1.2-6.fc21

Comment 5 Fedora Update System 2014-12-07 17:06:01 UTC
srcpd-2.1.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/srcpd-2.1.2-6.fc20

Comment 6 Fedora Update System 2014-12-07 17:07:50 UTC
srcpd-2.1.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/srcpd-2.1.2-6.fc19

Comment 7 Fedora Update System 2014-12-07 17:09:33 UTC
srcpd-2.1.2-6.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/srcpd-2.1.2-6.el7

Comment 8 Fedora Update System 2014-12-07 17:10:24 UTC
srcpd-2.1.2-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/srcpd-2.1.2-6.el6

Comment 9 Fedora Update System 2014-12-07 17:11:33 UTC
srcpd-2.1.2-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/srcpd-2.1.2-6.el5

Comment 10 Fedora Update System 2014-12-11 06:26:12 UTC
Package srcpd-2.1.2-6.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing srcpd-2.1.2-6.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-4513/srcpd-2.1.2-6.el5
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-12-20 08:32:04 UTC
srcpd-2.1.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-12-20 08:32:19 UTC
srcpd-2.1.2-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-12-20 08:43:52 UTC
srcpd-2.1.2-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-12-26 19:47:20 UTC
srcpd-2.1.2-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-12-26 19:48:35 UTC
srcpd-2.1.2-6.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-12-26 19:49:12 UTC
srcpd-2.1.2-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.